Crazy Eddies GUI System: CEGUI::ScrolledItemListBase Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::ScrolledItemListBase Class Reference

ScrolledItemListBase window class. More...

Inheritance diagram for CEGUI::ScrolledItemListBase:
[legend]
Collaboration diagram for CEGUI::ScrolledItemListBase:
[legend]

List of all members.

## Public Member Functions
bool | isVertScrollbarAlwaysShown (void) const
| Returns whether the vertical scrollbar is being forced visible. Despite content size.
bool | isHorzScrollbarAlwaysShown (void) const
| Returns whether the horizontal scrollbar is being forced visible. Despite content size.
Scrollbar * | getVertScrollbar () const
| Get the vertical scrollbar component attached to this window.
Scrollbar * | getHorzScrollbar () const
| Get the horizontal scrollbar component attached to this window.
void | setShowVertScrollbar (bool mode)
| Sets whether the vertical scrollbar should be forced visible. Despite content size.
void | setShowHorzScrollbar (bool mode)
| Sets whether the horizontal scrollbar should be forced visible. Despite content size.
void | ensureItemIsVisibleVert (const ItemEntry &item)
| Scroll the vertical list position if needed to ensure that the ItemEntry item is, if possible, fully visible witin the ScrolledItemListBase viewable area.
void | ensureItemIsVisibleHorz (const ItemEntry &item)
| Scroll the horizontal list position if needed to ensure that the ItemEntry item is, if possible, fully visible witin the ScrolledItemListBase viewable area.
| ScrolledItemListBase (const String &type, const String &name)
| Constructor for the ScrolledItemListBase base class constructor.
virtual | ~ScrolledItemListBase (void)
| Destructor for the ScrolledItemListBase base class.
virtual void | initialiseComponents (void)
| Initialise the Window based object ready for use.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | VertScrollbarNameSuffix
| Name suffix for vertical scrollbar component.
static const String | HorzScrollbarNameSuffix
| Name suffix for horizontal scrollbar component.
static const String | ContentPaneNameSuffix
| Name suffix for the content pane component.
static const String | EventVertScrollbarModeChanged
static const String | EventHorzScrollbarModeChanged
## Protected Member Functions
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
void | configureScrollbars (const Size &doc_size)
| Configure scrollbars.
virtual void | onVertScrollbarModeChanged (WindowEventArgs &e)
virtual void | onHorzScrollbarModeChanged (WindowEventArgs &e)
virtual void | onMouseWheel (MouseEventArgs &e)
| Handler called when the mouse wheel (z-axis) position changes within this window's area.
bool | handle_VScroll (const EventArgs &e)
bool | handle_HScroll (const EventArgs &e)
## Protected Attributes
bool | d_forceVScroll
bool | d_forceHScroll

## Detailed Description

ScrolledItemListBase window class.

## Member Function Documentation

void CEGUI::ScrolledItemListBase::ensureItemIsVisibleHorz | ( | const ItemEntry & | item | ) |

Scroll the horizontal list position if needed to ensure that the ItemEntry item is, if possible, fully visible witin the ScrolledItemListBase viewable area.

Parameters:

  item | const reference to an ItemEntry attached to this ScrolledItemListBase that should be made visible in the view area.

Returns:
  Nothing.

void CEGUI::ScrolledItemListBase::ensureItemIsVisibleVert | ( | const ItemEntry & | item | ) |

Scroll the vertical list position if needed to ensure that the ItemEntry item is, if possible, fully visible witin the ScrolledItemListBase viewable area.

Parameters:

  item | const reference to an ItemEntry attached to this ScrolledItemListBase that should be made visible in the view area.

Returns:
  Nothing.

virtual void CEGUI::ScrolledItemListBase::initialiseComponents | ( | void |  | ) | `[virtual]`

Initialise the Window based object ready for use.

Note:
  This must be called for every window created. Normally this is handled automatically by the WindowFactory for each Window type.

Returns:
  Nothing

Reimplemented from CEGUI::ItemListBase.

Reimplemented in CEGUI::ItemListbox.

virtual void CEGUI::ScrolledItemListBase::onMouseWheel | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse wheel (z-axis) position changes within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual bool CEGUI::ScrolledItemListBase::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::ItemListBase.

Reimplemented in CEGUI::ItemListbox.

References CEGUI::ItemListBase::testClassName_impl().

Referenced by CEGUI::ItemListbox::testClassName_impl().

## Member Data Documentation

const String CEGUI::ScrolledItemListBase::EventHorzScrollbarModeChanged`[static]`

Event fired when the horizontal scroll bar mode change. Handlers are passed a const WindowEventArgs reference with WindowEventArgs::window set to the ScrolledItemListBase whose horizontal scroll bar mode has been changed.

const String CEGUI::ScrolledItemListBase::EventVertScrollbarModeChanged`[static]`

Event fired when the vertical scroll bar mode changes. Handlers are passed a const WindowEventArgs reference with WindowEventArgs::window set to the ScrolledItemListBase whose vertical scroll bar mode has been changed.